aboutsummaryrefslogtreecommitdiff
path: root/check/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:31 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:50 +1200
commit2f5c3f189d83b6297a93dee83819092a63a33e88 (patch)
tree20bc97584202d210d0d6ac62c21afd7850c9e697 /check/bin
parentChange Zsh URL to HTTPS version (diff)
downloaddotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.tar.gz
dotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.zip
Rename "test" targets to "check"
Mostly to make way for an actual test suite beyond mere syntax checking
Diffstat (limited to 'check/bin')
-rwxr-xr-xcheck/bin14
1 files changed, 14 insertions, 0 deletions
diff --git a/check/bin b/check/bin
new file mode 100755
index 00000000..a4d5e452
--- /dev/null
+++ b/check/bin
@@ -0,0 +1,14 @@
+#!/bin/sh
+for bin in bin/* ; do
+ [ -f "$bin" ] || continue
+ hb=$(sed 1q "$bin") || exit
+ case $hb in
+ *bash)
+ bash -n "$bin" || exit
+ ;;
+ *sh)
+ sh -n "$bin" || exit
+ ;;
+ esac
+done
+printf 'All shell scripts in bin parsed successfully.\n'